# 趣程企业微信后台

This project was bootstrapped with [Create React App](https://github.com/facebook/create-react-app).

## Available Scripts

In the project directory, you can run:

### `yarn start` 启动
### `yarn build` 打包
#### 命令
- -d 使用测试环境策略
- -p 使用开发环境策略
- -a 执行所有入口项目
- -n 打包到nginx下的html目录下
- -w 打包时是否生成MAP文件 默认不生成
- 单入口名称 只执行当前输入的入口名项目

# 目录树
## 2. `config` webpack 配置文件
## 3. `dist` 打包后生成的文件
## 4. `scripts` 启动文件
## 5. `src` 项目文件
- ### `API` 公共api
- ### `components` 全局组件
- ### `HOC` 高阶组件
- ### `Hook` hook组件
- ### `public` 公共静态文件
- ### `store` 全局mobx
- ### `utils` js方法文件
- ### `pages` 各项目文件 
  #### 1. `404` 路径错误执行的页面
  #### 5. `login` 登录页面

# git自动部署命令
git commit -m 'arg&-a'  备注使用JSON字符串 arg传入要打包的文件名称以空格隔开或者输入 -a 打包全部文件
package.json
 "babel": {
    "presets": [
      "react-app"
    ],
    "plugins": [
      [
        "import",
        {
          "libraryName": "antd",
          "libraryDirectory": "es",
          "style": "css"
        }
      ]
    ]
  }